- Getting help for CLI commands

# Getting help for CLI commands

Contents

To access documentation for the CLI commands, use the chroma –h command shown next:

# chroma –-help

usage: chroma [--api_url API_URL] [--username USERNAME]

[--password PASSWORD]

[--output {human,json,xls,yaml,csv,tsv,html,xlsx,ods}]

[--nowait] [--help]

{volume,fs,target,tgt,vol,cfg,oss,mgt,ost,nid,server,

mgs,srv,filesystem,mds,configuration,mdt}

...

CLI

positional arguments:

{volume,fs,target,tgt,vol,cfg,oss,mgt,ost,nid,server,mgs,srv,

filesystem,mds,configuration,mdt}

configuration (cfg)

dump, load

filesystem (fs) list, show, add, remove, start, stop,

detect, mountspec

nid update, relearn

server (srv, mgs, mds, oss)

show, list, add, remove

target (tgt, mgt, mdt, ost)

list, show, add, remove, start, stop

volume (vol) list, show

optional arguments:

--api_url API_URL Entry URL for Chroma API

--username USERNAME Chroma username

--password PASSWORD Chroma password

--output, -o {human,json,xls,yaml,csv,tsv,html,xlsx,ods}

Output format

--nowait, -n Don't wait for jobs to complete

--help, -h Show this help message and exit

To view the command options available specific to a file system, enter:

# chroma filesystem --help

usage: chroma filesystem [-h]

{detect,show,list,stop,remove,start,add,

context,mountspec}

...

positional arguments:

{detect,show,list,stop,remove,start,add,context,mountspec}

list list all file systems

show show a filesystem

add add a filesystem

remove remove a filesystem

start start a filesystem

stop stop a filesystem

detect detect all file systems

mountspec mountspec for filesystem

context filesystem_name action (e.g. ost-list,

vol-list, etc.)

optional arguments:

-h, --help show this help message and exit

To show help for the server argument, enter:

# chroma server-show --help

usage: chroma server show [-h] server

positional arguments:

server

optional arguments:

-h, --help show this help message and exit